Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ColInfo

    java.lang.Object
      Biff
          jet.report.xls.ColInfo

    public class ColInfo

extends Biff

Description: Specifies a spreadsheet ColInfo Record Body Length: 12 bytes Record Body Byte Structure: Byte Number Byte Description Byte Name 0-1 First formatted column colFirst 2-3 Last formatted column colLast 4-5 Column width, in 1/256s of a character width coldx 6-7 Index to XF record that contains the default format for the column ixfe 8-9 Options grbit 10-11 RESERVED zero A ColInfo class extends Biff class.

Field Summary
`static short` | `COLLAPSED`
`static short` | `HIDDEN`
`static short` | `OUTLEVEL`

Constructor Summary
`ColInfo()` Constructs a ColInfo record
`ColInfo(short colFirst, short colLast, short coldx, short ixfe, short grbit)` Constructs a ColInfo record and sets its fields appropriately.

Method Summary
`boolean` | `getCollapsed()` get whether the cells are collapsed
`boolean` | `getHidden()` get whether or not these cells are hidden
`boolean` | `getOutLevel()` get the outline level for the cells
`void` | `input(RandomAccessStream stream)` input ColInfo from input stream
`int` | `opcode()` get the opcode of ColInfo.
`int` | `output(RandomAccessStream stream)` output the class colInfo.
`void` | `setCollapsed(boolean fCollapsed)` set whether the cells are collapsed
`void` | `setHidden(boolean hidden)` set whether or not these cells are hidden
`void` | `setOutLevel(boolean outlevel)` set the outline level for the cells

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HIDDEN

    public static final short HIDDEN

See Also:
  Constant Field Values

### OUTLEVEL

    public static final short OUTLEVEL

See Also:
  Constant Field Values

### COLLAPSED

    public static final short COLLAPSED

See Also:
  Constant Field Values

Constructor Detail

### ColInfo

    public ColInfo()

  Constructs a ColInfo record

### ColInfo

    public ColInfo(short colFirst,
                   short colLast,
                   short coldx,
                   short ixfe,
                   short grbit)

  Constructs a ColInfo record and sets its fields appropriately.

  Parameters:
    `colFirst` - The first formatted column
    `colLast` - The last formatted column
    `coldx` - Column width, in 1/256s of a character width
    `ixfe` - Index to XF record that contains the default format for the column
    `grbit` - Options

Method Detail

### opcode

    public final int opcode()

  get the opcode of ColInfo.

### output

    public int output(RandomAccessStream stream)
               throws java.io.IOException

  output the class colInfo.

  Throws:
    `java.io.IOException`

### input

    public void input(RandomAccessStream stream)
               throws java.io.IOException

  input ColInfo from input stream

  Throws:
    `java.io.IOException`

### setCollapsed

    public void setCollapsed(boolean fCollapsed)

  set whether the cells are collapsed

  Parameters:
    `fCollapsed` - - wether the cells are collapsed

### getCollapsed

    public boolean getCollapsed()

  get whether the cells are collapsed

  Returns:
    wether the cells are collapsed

### setOutLevel

    public void setOutLevel(boolean outlevel)

  set the outline level for the cells

  Parameters:
    `outlevel` - -outline level for the cells

### getOutLevel

    public boolean getOutLevel()

  get the outline level for the cells

  Returns:
    outline level for the cells

### setHidden

    public void setHidden(boolean hidden)

  set whether or not these cells are hidden

  Parameters:
    `hidden` - - whether the cells are hidden.

### getHidden

    public boolean getHidden()

  get whether or not these cells are hidden

  Returns:
    whether the cells are hidden.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD